Package com.google.protobuf

# Interface GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends GeneratedMessage.ExtendableMessage>

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `GeneratedMessage.ExtendableBuilder`, `GeneratedMessage.ExtendableMessage`

Enclosing class:
  GeneratedMessage

public static interface GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends GeneratedMessage.ExtendableMessage> extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`Message`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`<Type> Type`
`getExtension(Extension<MessageType,List<Type>> extension, int index)`
Get one element of a repeated extension.
`<Type> Type`
`getExtension(Extension<MessageType,Type> extension)`
Get the value of an extension.
`<Type> Type`
`getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)`
Get one element of a repeated extension.
`<Type> Type`
`getExtension(ExtensionLite<MessageType,Type> extension)`
Get the value of an extension.
`<Type> Type`
`getExtension(GeneratedMessage.GeneratedExtension<MessageType,List<Type>> extension, int index)`
Get one element of a repeated extension.
`<Type> Type`
`getExtension(GeneratedMessage.GeneratedExtension<MessageType,Type> extension)`
Get the value of an extension.
`<Type> int`
`getExtensionCount(Extension<MessageType,List<Type>> extension)`
Get the number of elements in a repeated extension.
`<Type> int`
`getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)`
Get the number of elements in a repeated extension.
`<Type> int`
`getExtensionCount(GeneratedMessage.GeneratedExtension<MessageType,List<Type>> extension)`
Get the number of elements in a repeated extension.
`<Type> boolean`
`hasExtension(Extension<MessageType,Type> extension)`
Check if a singular extension is present.
`<Type> boolean`
`hasExtension(ExtensionLite<MessageType,Type> extension)`
Check if a singular extension is present.
`<Type> boolean`
`hasExtension(GeneratedMessage.GeneratedExtension<MessageType,Type> extension)`
Check if a singular extension is present.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDefaultInstanceForType

Message getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### hasExtension

<Type> boolean hasExtension(ExtensionLite<MessageType,Type> extension)
Check if a singular extension is present.

### getExtensionCount

<Type> int getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)
Get the number of elements in a repeated extension.

### getExtension

<Type> Type getExtension(ExtensionLite<MessageType,Type> extension)
Get the value of an extension.

### getExtension

<Type> Type getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)
Get one element of a repeated extension.

### hasExtension

<Type> boolean hasExtension(Extension<MessageType,Type> extension)
Check if a singular extension is present.

### hasExtension

<Type> boolean hasExtension(GeneratedMessage.GeneratedExtension<MessageType,Type> extension)
Check if a singular extension is present.

### getExtensionCount

<Type> int getExtensionCount(Extension<MessageType,List<Type>> extension)
Get the number of elements in a repeated extension.

### getExtensionCount

<Type> int getExtensionCount(GeneratedMessage.GeneratedExtension<MessageType,List<Type>> extension)
Get the number of elements in a repeated extension.

### getExtension

<Type> Type getExtension(Extension<MessageType,Type> extension)
Get the value of an extension.

### getExtension

<Type> Type getExtension(GeneratedMessage.GeneratedExtension<MessageType,Type> extension)
Get the value of an extension.

### getExtension

<Type> Type getExtension(Extension<MessageType,List<Type>> extension, int index)
Get one element of a repeated extension.

### getExtension

<Type> Type getExtension(GeneratedMessage.GeneratedExtension<MessageType,List<Type>> extension, int index)
Get one element of a repeated extension.